Bug 202938 - net-mgmt/librenms - upgrade to 201509
Summary: net-mgmt/librenms - upgrade to 201509
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-06 21:01 UTC by Dan Langille
Modified: 2015-09-15 08:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
patch for 201509 (7.15 KB, patch)
2015-09-06 21:01 UTC, Dan Langille
no flags Details | Diff
Correct the path to fping (7.16 KB, patch)
2015-09-07 18:02 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2015-09-06 21:01:16 UTC
Created attachment 160785 [details]
patch for 201509

Please find a patch to upgrade to 201609, released today.

tested at http://services.unixathome.org/poudriere/build.html?mastername=102amd64-default-librenms&build=2015-09-06_20h45m09s

I have this installed and running at home.  HTH.  I'll also upload a code review next.
Comment 1 Dan Langille freebsd_committer 2015-09-06 21:03:12 UTC
See https://reviews.freebsd.org/D3578
Comment 2 Dan Langille freebsd_committer 2015-09-06 21:33:42 UTC
Also, not submitted, but I have tested use of %%PREFIX%% & %%LOCALBASE%% in files/patches-* instead of /usr/local
Comment 3 Dan Langille freebsd_committer 2015-09-07 18:02:50 UTC
Created attachment 160812 [details]
Correct the path to fping
Comment 4 commit-hook freebsd_committer 2015-09-15 08:52:11 UTC
A commit references this bug:

Author: bofh
Date: Tue Sep 15 08:52:06 UTC 2015
New revision: 396947
URL: https://svnweb.freebsd.org/changeset/ports/396947

Log:
  net-mgmt/librenms: Update version 201506=>201509 [1]

  - Correct the path of fping [1]
  - Make proper use of OPTIONSNG

  PR:		202938 [1]
  Submitted by:	dvl [1]
  Differential Revision:	https://reviews.freebsd.org/D3578 [1]

Changes:
  head/net-mgmt/librenms/Makefile
  head/net-mgmt/librenms/distinfo
  head/net-mgmt/librenms/files/patch-config.php.default
  head/net-mgmt/librenms/files/patch-includes_defaults.inc.php
Comment 5 Muhammad Moinur Rahman freebsd_committer 2015-09-15 08:54:35 UTC
Committed with minor changes for OPTIONSNG